Bug 211444 - DomU/DomVTI cannot boot on IA64
DomU/DomVTI cannot boot on IA64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Aron Griffis
Martin Jenner
:
Depends On:
Blocks: 212650
  Show dependency treegraph
 
Reported: 2006-10-19 06:36 EDT by Atsushi SAKAI
Modified: 2008-02-26 18:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:32:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Atsushi SAKAI 2006-10-19 06:36:57 EDT
Description of problem:

DomU/DomVTI cannot boot on IA64 for latest FC6Test3


Version-Release number of selected component (if applicable):

# rpm -qa |grep xen
kernel-xen-2.6.18-1.2798.fc6
xen-libs-3.0.3-0.1.rc3
xen-3.0.3-0.1.rc3
kernel-xen-2.6.17-1.2630.fc6
python-xeninst-0.92.0-2


How reproducible:
Every time 

Steps to Reproduce:
for DomU
# xm create  /xen/image/rhel4_1.conf 

for DomVTI
# xm create -f /etc/xen/xmexample.vti
  
Actual results:


Expected results:

DomU and DomVTI boots.

Additional info:
I will show 2 logs, DomU and DomVTI.

Anyway our team found this bug today, 
so forgive me the information is not enough.
We are checking this problem now.



for DomU

================================================================
# xm create  /xen/image/rhel4_1.conf 
Using config file "/xen/image/rhel4_1.conf".
Xend has probably crashed!  Invalid or missing HTTP status code.
[root@tiger150 ~]# xm list
Name                                      ID Mem(MiB) VCPUs State   Time(s)
Domain-0                                   0     1009     1 r-----     30.3
Domain-1                                   1      512     1 --p---      0.0

xm log results
[2006-10-20 00:16:11 xend.XendDomainInfo 2416] DEBUG (XendDomainInfo:190)
XendDomainInfo.create([\047vm\047, [\047name\047, \047rhel4_1\047],
[\047memory\047, 512], [\047vcpus\047, 1], [\047image\047, [\047linux\047,
[\047kernel\047, \047/boot/efi/efi/redhat/vmlinuz-2.6.18-1.2798.fc6xen\047],
[\047root\047, \047/dev/hda1 ro\047], [\047args\047, \0473\047],
[\047vncunused\047, 1], [\047xauthority\047, \047/root/.Xauthority\047]]],
[\047device\047, [\047vbd\047, [\047uname\047, \047file:/xen/rhel4_1.img\047],
[\047dev\047, \047hda1\047], [\047mode\047, \047w\047]]]])
[2006-10-20 00:16:11 xend.XendDomainInfo 2416] DEBUG (XendDomainInfo:296)
parseConfig: config is [\047vm\047, [\047name\047, \047rhel4_1\047],
[\047memory\047, 512], [\047vcpus\047, 1], [\047image\047, [\047linux\047,
[\047kernel\047, \047/boot/efi/efi/redhat/vmlinuz-2.6.18-1.2798.fc6xen\047],
[\047root\047, \047/dev/hda1 ro\047], [\047args\047, \0473\047],
[\047vncunused\047, 1], [\047xauthority\047, \047/root/.Xauthority\047]]],
[\047device\047, [\047vbd\047, [\047uname\047, \047file:/xen/rhel4_1.img\047],
[\047dev\047, \047hda1\047], [\047mode\047, \047w\047]]]]
[2006-10-20 00:16:11 xend.XendDomainInfo 2416] DEBUG (XendDomainInfo:395)
parseConfig: result is {\047shadow_memory\047: None, \047uuid\047: None,
\047on_crash\047: None, \047on_reboot\047: None, \047localtime\047: None,
\047image\047: [\047linux\047, [\047kernel\047,
\047/boot/efi/efi/redhat/vmlinuz-2.6.18-1.2798.fc6xen\047], [\047root\047,
\047/dev/hda1 ro\047], [\047args\047, \0473\047], [\047vncunused\047, 1],
[\047xauthority\047, \047/root/.Xauthority\047]], \047on_poweroff\047: None,
\047bootloader_args\047: None, \047cpus\047: None, \047name\047:
\047rhel4_1\047, \047backend\047: [], \047vcpus\047: 1, \047cpu_weight\047:
None, \047features\047: None, \047vcpu_avail\047: None, \047memory\047: 512,
\047device\047: [(\047vbd\047, [\047vbd\047, [\047uname\047,
\047file:/xen/rhel4_1.img\047], [\047dev\047, \047hda1\047], [\047mode\047,
\047w\047]])], \047bootloader\047: None, \047cpu\047: None, \047maxmem\047: None}
[2006-10-20 00:16:11 xend.XendDomainInfo 2416] DEBUG (XendDomainInfo:1253)
XendDomainInfo.construct: None
[2006-10-20 00:16:11 xend.XendDomainInfo 2416] DEBUG (XendDomainInfo:1285)
XendDomainInfo.initDomain: 1 1.0
[2006-10-20 00:16:11 xend 2416] INFO (image:214) configuring linux guest
[2006-10-20 00:16:11 xend 2416] DEBUG (balloon:127) Balloon: 7227184 KiB free;
need 524288; done.
[2006-10-20 00:16:11 xend 2416] INFO (image:138) buildDomain os=linux dom=1 vcpus=1
[2006-10-20 00:16:11 xend 2416] DEBUG (image:193) dom            = 1
[2006-10-20 00:16:11 xend 2416] DEBUG (image:194) image          =
/boot/efi/efi/redhat/vmlinuz-2.6.18-1.2798.fc6xen
[2006-10-20 00:16:11 xend 2416] DEBUG (image:195) store_evtchn   = 1
[2006-10-20 00:16:11 xend 2416] DEBUG (image:196) console_evtchn = 2
[2006-10-20 00:16:11 xend 2416] DEBUG (image:197) cmdline        = 
root=/dev/hda1 ro 3
[2006-10-20 00:16:11 xend 2416] DEBUG (image:198) ramdisk        = 
[2006-10-20 00:16:11 xend 2416] DEBUG (image:199) vcpus          = 1
[2006-10-20 00:16:11 xend 2416] DEBUG (image:200) features       = 
[2006-10-20 00:16:11 xend 2415] CRITICAL (SrvDaemon:195) Xend died due to signal
11!  Restarting it.
[2006-10-20 00:16:11 xend 2858] INFO (SrvDaemon:283) Xend Daemon started
[2006-10-20 00:16:11 xend 2858] INFO (SrvDaemon:287) Xend changeset: unavailable .
[2006-10-20 00:16:11 xend.XendDomainInfo 2858] DEBUG (XendDomainInfo:212)
XendDomainInfo.recreate({\047paused\047: 0, \047cpu_time\047: 30039417014L,
\047ssidref\047: 0, \047handle\047: [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
0, 0], \047shutdown_reason\047: 0, \047dying\047: 0, \047dom\047: 0,
\047mem_kb\047: 1032816, \047maxmem_kb\047: 1048576, \047max_vcpu_id\047: 0,
\047crashed\047: 0, \047running\047: 1, \047shutdown\047: 0,
\047online_vcpus\047: 1, \047blocked\047: 0})
[2006-10-20 00:16:11 xend.XendDomainInfo 2858] INFO (XendDomainInfo:224)
Recreating domain 0, UUID 00000000-0000-0000-0000-000000000000.
[2006-10-20 00:16:11 xend 2858] DEBUG (XendDomain:153) number of vcpus to use is 0
[2006-10-20 00:16:11 xend.XendDomainInfo 2858] DEBUG (XendDomainInfo:212)
XendDomainInfo.recreate({\047paused\047: 1, \047cpu_time\047: 0L,
\047ssidref\047: 0, \047handle\047: [136, 151, 219, 168, 42, 200, 144, 99, 225,
183, 160, 116, 136, 146, 91, 57], \047shutdown_reason\047: 0, \047dying\047: 0,
\047dom\047: 1, \047mem_kb\047: 524288, \047maxmem_kb\047: 524288,
\047max_vcpu_id\047: 0, \047crashed\047: 0, \047running\047: 0,
\047shutdown\047: 0, \047online_vcpus\047: 1, \047blocked\047: 0})
[2006-10-20 00:16:11 xend.XendDomainInfo 2858] INFO (XendDomainInfo:224)
Recreating domain 1, UUID 8897dba8-2ac8-9063-e1b7-a07488925b39.
[2006-10-20 00:16:11 xend.XendDomainInfo 2858] DEBUG (XendDomainInfo:712)
Storing VM details: {\047shadow_memory\047: \0470\047, \047uuid\047:
\0478897dba8-2ac8-9063-e1b7-a07488925b39\047, \047on_reboot\047:
\047restart\047, \047image\047: \047()\047, \047on_poweroff\047:
\047destroy\047, \047name\047: \047Domain-1\047, \047xend/restart_count\047:
\0470\047, \047vcpus\047: \0471\047, \047vcpu_avail\047: \0471\047,
\047memory\047: \047512\047, \047on_crash\047: \047restart\047, \047maxmem\047:
\047512\047}
[2006-10-20 00:16:11 xend.XendDomainInfo 2858] DEBUG (XendDomainInfo:747)
Storing domain details: {\047cpu/0/availability\047: \047online\047,
\047memory/target\047: \047524288\047, \047name\047: \047Domain-1\047,
\047console/limit\047: \0471048576\047, \047vm\047:
\047/vm/8897dba8-2ac8-9063-e1b7-a07488925b39\047, \047domid\047: \0471\047}
[2006-10-20 00:16:11 xend 2858] INFO (SrvServer:116) unix
path=/var/lib/xend/xend-socket
[2006-10-20 00:16:11 xend.XendDomainInfo 2858] DEBUG (XendDomainInfo:933)
XendDomainInfo.handleShutdownWatch
[2006-10-20 00:16:11 xend.XendDomainInfo 2858] DEBUG (XendDomainInfo:933)
XendDomainInfo.handleShutdownWatch

=====================================================================
for DomVTI (after previous tests)
# xm create -f /etc/xen/xmexample.vti
Using config file "/etc/xen/xmexample.vti".
Error: (22, 'Invalid argument')
# xm list
Name                                      ID Mem(MiB) VCPUs State   Time(s)
Domain-0                                   0     1009     1 r-----     38.8
Domain-1                                   1      512     1 --p---      0.0 <==
=previous DomU


xm log results
[2006-10-20 00:19:42 xend.XendDomainInfo 2858] DEBUG (XendDomainInfo:190)
XendDomainInfo.create([\047vm\047, [\047name\047, \047ExampleVTIDomain\047],
[\047memory\047, 512], [\047vcpus\047, 1], [\047image\047, [\047hvm\047,
[\047kernel\047, \047/usr/lib/xen/boot/guest_firmware.bin\047],
[\047device_model\047, \047/usr/lib/xen/bin/qemu-dm\047], [\047vcpus\047, 1],
[\047boot\047, \047c\047], [\047serial\047, \047pty\047], [\047vncunused\047,
1], [\047sdl\047, 1], [\047display\047, \047:1.0\047], [\047xauthority\047,
\047/root/.Xauthority\047]]], [\047device\047, [\047vbd\047, [\047uname\047,
\047file:/var/images/xenia64.img\047], [\047dev\047, \047hda\047],
[\047mode\047, \047w\047]]], [\047device\047, [\047vif\047]]])
[2006-10-20 00:19:42 xend.XendDomainInfo 2858] DEBUG (XendDomainInfo:296)
parseConfig: config is [\047vm\047, [\047name\047, \047ExampleVTIDomain\047],
[\047memory\047, 512], [\047vcpus\047, 1], [\047image\047, [\047hvm\047,
[\047kernel\047, \047/usr/lib/xen/boot/guest_firmware.bin\047],
[\047device_model\047, \047/usr/lib/xen/bin/qemu-dm\047], [\047vcpus\047, 1],
[\047boot\047, \047c\047], [\047serial\047, \047pty\047], [\047vncunused\047,
1], [\047sdl\047, 1], [\047display\047, \047:1.0\047], [\047xauthority\047,
\047/root/.Xauthority\047]]], [\047device\047, [\047vbd\047, [\047uname\047,
\047file:/var/images/xenia64.img\047], [\047dev\047, \047hda\047],
[\047mode\047, \047w\047]]], [\047device\047, [\047vif\047]]]
[2006-10-20 00:19:42 xend.XendDomainInfo 2858] DEBUG (XendDomainInfo:395)
parseConfig: result is {\047shadow_memory\047: None, \047uuid\047: None,
\047on_crash\047: None, \047on_reboot\047: None, \047localtime\047: None,
\047image\047: [\047hvm\047, [\047kernel\047,
\047/usr/lib/xen/boot/guest_firmware.bin\047], [\047device_model\047,
\047/usr/lib/xen/bin/qemu-dm\047], [\047vcpus\047, 1], [\047boot\047,
\047c\047], [\047serial\047, \047pty\047], [\047vncunused\047, 1], [\047sdl\047,
1], [\047display\047, \047:1.0\047], [\047xauthority\047,
\047/root/.Xauthority\047]], \047on_poweroff\047: None, \047bootloader_args\047:
None, \047cpus\047: None, \047name\047: \047ExampleVTIDomain\047,
\047backend\047: [], \047vcpus\047: 1, \047cpu_weight\047: None,
\047features\047: None, \047vcpu_avail\047: None, \047memory\047: 512,
\047device\047: [(\047vbd\047, [\047vbd\047, [\047uname\047,
\047file:/var/images/xenia64.img\047], [\047dev\047, \047hda\047],
[\047mode\047, \047w\047]]), (\0!
 47vif\047, [\047vif\047])], \047bootloader\047: None, \047cpu\047: None,
\047maxmem\047: None}
[2006-10-20 00:19:42 xend.XendDomainInfo 2858] DEBUG (XendDomainInfo:1253)
XendDomainInfo.construct: None
[2006-10-20 00:19:42 xend.XendDomainInfo 2858] DEBUG (XendDomainInfo:1285)
XendDomainInfo.initDomain: 2 1.0
[2006-10-20 00:19:42 xend 2858] DEBUG (image:379) args: boot, val: c
[2006-10-20 00:19:42 xend 2858] DEBUG (image:379) args: fda, val: None
[2006-10-20 00:19:42 xend 2858] DEBUG (image:379) args: fdb, val: None
[2006-10-20 00:19:42 xend 2858] DEBUG (image:379) args: soundhw, val: None
[2006-10-20 00:19:42 xend 2858] DEBUG (image:379) args: localtime, val: None
[2006-10-20 00:19:42 xend 2858] DEBUG (image:379) args: serial, val: pty
[2006-10-20 00:19:42 xend 2858] DEBUG (image:379) args: std-vga, val: None
[2006-10-20 00:19:42 xend 2858] DEBUG (image:379) args: isa, val: None
[2006-10-20 00:19:42 xend 2858] DEBUG (image:379) args: vcpus, val: 1
[2006-10-20 00:19:42 xend 2858] DEBUG (image:379) args: acpi, val: None
[2006-10-20 00:19:42 xend 2858] DEBUG (image:379) args: usb, val: None
[2006-10-20 00:19:42 xend 2858] DEBUG (image:379) args: usbdevice, val: None
[2006-10-20 00:19:42 xend 2858] DEBUG (balloon:127) Balloon: 6702896 KiB free;
need 540704; done.
[2006-10-20 00:19:42 xend 2858] INFO (image:138) buildDomain os=hvm dom=2 vcpus=1
[2006-10-20 00:19:42 xend 2858] DEBUG (image:338) dom            = 2
[2006-10-20 00:19:42 xend 2858] DEBUG (image:339) image          =
/usr/lib/xen/boot/guest_firmware.bin
[2006-10-20 00:19:42 xend 2858] DEBUG (image:340) store_evtchn   = 1
[2006-10-20 00:19:42 xend 2858] DEBUG (image:341) memsize        = 512
[2006-10-20 00:19:42 xend 2858] DEBUG (image:342) vcpus          = 1
[2006-10-20 00:19:42 xend 2858] DEBUG (image:343) pae            = 0
[2006-10-20 00:19:42 xend 2858] DEBUG (image:344) acpi           = 0
[2006-10-20 00:19:42 xend 2858] DEBUG (image:345) apic           = 0
[2006-10-20 00:19:42 xend 2858] DEBUG (image:467) hvm shutdown watch registered
[2006-10-20 00:19:42 xend.XendDomainInfo 2858] ERROR (XendDomainInfo:202) Domain
construction failed
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/xen/xend/XendDomainInfo.py", line 195,
in create
    vm.initDomain()
  File "/usr/lib/python2.4/site-packages/xen/xend/XendDomainInfo.py", line 1363,
in initDomain
    raise VmError(str(exn))
VmError: (22, \047Invalid argument\047)
[2006-10-20 00:19:42 xend.XendDomainInfo 2858] DEBUG (XendDomainInfo:1449)
XendDomainInfo.destroy: domid=2
[2006-10-20 00:19:42 xend.XendDomainInfo 2858] DEBUG (XendDomainInfo:1457)
XendDomainInfo.destroyDomain(2)
[2006-10-20 00:19:42 xend 2858] DEBUG (image:479) hvm shutdown watch unregistered
[2006-10-20 00:19:42 xend 2858] ERROR (xswatch:70) read_watch failed
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/xen/xend/xenstore/xswatch.py", line 66,
in watchMain
    res = watch.fn(we[0], *watch.args, **watch.kwargs)
  File "/usr/lib/python2.4/site-packages/xen/xend/image.py", line 489, in
hvm_shutdown
    reason = vm.readDom(\047control/shutdown\047)
AttributeError: \047NoneType\047 object has no attribute \047readDom\047
Comment 1 Atsushi SAKAI 2006-10-19 22:14:57 EDT
This should be fixed by xen-rc4.
See the changeset 11747(xen-3.0.3-testing)
http://xenbits2.xensource.com/xen-3.0.3-testing.hg?cl=11747
(Thanks to yongkang)
Comment 2 Atsushi SAKAI 2006-10-23 07:19:16 EDT
We try to apply CS11747 patch, but it does not solved.(problem still remains)
I afraid other problem occured,
 please update xen-3.0.3 to latest versionto clearify the problem.

Comment 3 Atsushi SAKAI 2006-10-25 06:22:18 EDT
With applying CS11746 & 11747,  DomU boots
Comment 4 You, Yongkang 2006-10-29 21:08:18 EST
Any updates for this bug? Directly use 3.0.3 release will resoleve this issue. 

There is only xen 3.0.3-RC3 will cause all XenU and VTI creating failure in 
IA64 platform. 

Or as Atsushi's comments, 3.0.3-RC3 + CS11746 +CS11747 from xen-3.0.3-testing 
tree will resolve this issue. 

While, it seemed a little late to catch the release. 
Comment 5 Matthew Miller 2007-04-06 13:11:39 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 6 Red Hat Bugzilla 2007-07-24 20:00:28 EDT
change QA contact
Comment 7 Chris Lalancette 2008-02-26 18:32:45 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.